#!/bin/sh
#
# source: http://manpagesfr.free.fr/download/man-pages-fr-2.68.0.tar.bz2
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

soft='man-pages-fr'
softversion='2.68.0'
packageversion="50.1"

arch='noarch'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.bz2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvjf $srcpkg
rm -f $dest.tar.bz2
rm -rf $dest
mkdir -p $dest

#------------------Set correct permissions

cd $src

chown -R root:root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
find . -perm 600 -exec chmod 644 {} \;
find . -perm 444 -exec chmod 644 {} \;
find . -perm 400 -exec chmod 644 {} \;
find . -perm 440 -exec chmod 644 {} \;
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a  A_FAIRE changements* LISEZ_MOI *.sh $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/man/fr
cp -a man* $dest/usr/man/fr

./cree_index_man.sh $dest/usr/man/fr
gzip -9 $dest/usr/man/fr/man?/*.?

# supprime les doublons

rm $dest/usr/man/fr/man5/passwd.5.gz

#-----------------build slack-desc directories

mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC > $dest/install/slack-desc
            |-----handy-ruler-------------------------------------------------|
man-pages-fr: man-pages-fr (Pages Man Linux Documentation Projet francophone )
man-pages-fr:
man-pages-fr: Page de Manuel Linux de 'the Linux Documentation Project' Les
man-pages-fr: pages de manuels sont fournies dans l'encodage UTF8. Si votre
man-pages-fr: système ne supporte pas l'UTF8, vous pouvez convertir ces pages
man-pages-fr: en ISO-8859-1 (latin1) mais sachez que certaines pages seront
man-pages-fr: « abimées » car elles comportent des caractères qui n'ont pas
man-pages-fr: d'équivalent en ISO-8859-1.
man-pages-fr:
man-pages-fr:
man-pages-fr:
EODESC

#-------------------Prepare the documentation

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5